//region Imports
'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
var path = require('path');
var join = path.join;

var conflict = require('gulp-conflict');
var jeditor = require('gulp-json-editor');
var _ = require('lodash');
var cwd = require('cwd');
var modifyPackageJson = require('../util/modifyPackageJson');
var replaceFile = require('../util/replaceFile');
var fs = require('fs');
//endregion

exports['default'] = function (gulp, opts) {

  _.defaults(opts, {
    destDir: ''
  });

  var desc = 'Bootstraps module by modifying package.json and copying files from `babelator/bootstrap` into module dir.';

  var babelatorContents = "// NOTE: Override `babelator/config` settings from here.\nmodule.exports = {}\n";

  gulp.task('babelator:bootstrap:config', function (done) {
    replaceFile(cwd('babelator.js'), babelatorContents, done);
  });

  gulp.task('babelator:bootstrap:pjson', function (done) {
    modifyPackageJson(function (json) {
      _.set(json, 'scripts.gulp', './node_modules/gulp/bin/gulp.js');
      return json;
    }, done);
  });

  gulp.task('babelator:bootstrap', gulp.series('babelator:bootstrap:config', 'babelator:bootstrap:pjson'));
};

module.exports = exports['default'];