//region Imports
'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
var eslint = require('gulp-eslint');
var _ = require('lodash');
var path = require('path');
var replaceFile = require('../util/replaceFile');
var cwd = require('cwd');
//endregion

exports['default'] = function (gulp, opts) {

  _.defaults(opts, {
    srcGlob: '',
    // TODO(vjpr)!
    //eslint: {configFile: path.join(__dirname, './eslintrc.json')},
    eslint: { configFile: './.eslintrc' }
  });

  gulp.task('lint', function () {
    return gulp.src(opts.srcGlob).pipe(eslint(opts.eslint)).pipe(eslint.format()).pipe(eslint.failAfterError());
  });

  gulp.task('lint:bootstrap', function (done) {
    var dest = cwd('.eslintrc');
    replaceFile(dest, JSON.stringify(eslintrc, null, 2), done);
  });
};

var eslintrc = {
  "parser": "babel-eslint",
  "rules": {
    "indent": [2, 2],
    "quotes": [2, "single"],
    "linebreak-style": [2, "unix"],
    "semi": [2, "never"],
    "curly": 0,
    "new-parens": 0,
    "no-shadow": 0,
    "comma-dangle": [2, "always-multiline"]
  },
  "env": {
    "es6": 1,
    "browser": 1,
    "node": 1
  },
  "ecmaFeatures": {
    "jsx": 1,
    "modules": 1,
    "no-var": 1,
    "object-shorthand": [2, "always"],
    "generator-star-spacing": [2, "before"]
  }
};
module.exports = exports['default'];